CREATE TABLE inv_cc_entries_interface (
    CC_ENTRY_INTERFACE_ID          NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    ORGANIZATION_ID                NUMBER(18, 0) ,
    ORGANIZATION_CODE              VARCHAR2(72)  ,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CC_ENTRY_INTERFACE_GROUP_ID    NUMBER(18, 0) ,
    CYCLE_COUNT_ENTRY_ID           NUMBER(18, 0) ,
    ACTION_CODE                    NUMBER(18, 0)     NOT NULL,
    CYCLE_COUNT_HEADER_ID          NUMBER(18, 0) ,
    CYCLE_COUNT_HEADER_NAME        VARCHAR2(120) ,
    COUNT_LIST_SEQUENCE            NUMBER(18, 0) ,
    INVENTORY_ITEM_ID              NUMBER(18, 0) ,
    ITEM_SEGMENT1                  VARCHAR2(160) ,
    ITEM_SEGMENT2                  VARCHAR2(160) ,
    ITEM_SEGMENT3                  VARCHAR2(160) ,
    ITEM_SEGMENT4                  VARCHAR2(160) ,
    ITEM_SEGMENT5                  VARCHAR2(160) ,
    ITEM_SEGMENT6                  VARCHAR2(160) ,
    ITEM_SEGMENT7                  VARCHAR2(160) ,
    ITEM_SEGMENT8                  VARCHAR2(160) ,
    ITEM_SEGMENT9                  VARCHAR2(160) ,
    ITEM_SEGMENT10                 VARCHAR2(160) ,
    ITEM_SEGMENT11                 VARCHAR2(160) ,
    ITEM_SEGMENT12                 VARCHAR2(160) ,
    ITEM_SEGMENT13                 VARCHAR2(160) ,
    ITEM_SEGMENT14                 VARCHAR2(160) ,
    ITEM_SEGMENT15                 VARCHAR2(160) ,
    ITEM_SEGMENT16                 VARCHAR2(160) ,
    ITEM_SEGMENT17                 VARCHAR2(160) ,
    ITEM_SEGMENT18                 VARCHAR2(160) ,
    ITEM_SEGMENT19                 VARCHAR2(160) ,
    ITEM_SEGMENT20                 VARCHAR2(160) ,
    REVISION                       VARCHAR2(72)  ,
    SUBINVENTORY                   VARCHAR2(40)  ,
    LOCATOR_ID                     NUMBER(18, 0) ,
    LOCATOR_SEGMENT1               VARCHAR2(160) ,
    LOCATOR_SEGMENT2               VARCHAR2(160) ,
    LOCATOR_SEGMENT3               VARCHAR2(160) ,
    LOCATOR_SEGMENT4               VARCHAR2(160) ,
    LOCATOR_SEGMENT5               VARCHAR2(160) ,
    LOCATOR_SEGMENT6               VARCHAR2(160) ,
    LOCATOR_SEGMENT7               VARCHAR2(160) ,
    LOCATOR_SEGMENT8               VARCHAR2(160) ,
    LOCATOR_SEGMENT9               VARCHAR2(160) ,
    LOCATOR_SEGMENT10              VARCHAR2(160) ,
    LOCATOR_SEGMENT11              VARCHAR2(160) ,
    LOCATOR_SEGMENT12              VARCHAR2(160) ,
    LOCATOR_SEGMENT13              VARCHAR2(160) ,
    LOCATOR_SEGMENT14              VARCHAR2(160) ,
    LOCATOR_SEGMENT15              VARCHAR2(160) ,
    LOCATOR_SEGMENT16              VARCHAR2(160) ,
    LOCATOR_SEGMENT17              VARCHAR2(160) ,
    LOCATOR_SEGMENT18              VARCHAR2(160) ,
    LOCATOR_SEGMENT19              VARCHAR2(160) ,
    LOCATOR_SEGMENT20              VARCHAR2(160) ,
    LOT_NUMBER                     VARCHAR2(320) ,
    SERIAL_NUMBER                  VARCHAR2(320) ,
    PRIMARY_UOM_QUANTITY           NUMBER        ,
    COUNT_UOM                      VARCHAR2(12)  ,
    COUNT_UNIT_OF_MEASURE          VARCHAR2(100) ,
    COUNT_QUANTITY                 NUMBER        ,
    COUNT_DATE                     DATE          ,
    EMPLOYEE_ID                    NUMBER(18, 0) ,
    EMPLOYEE_FULL_NAME             VARCHAR2(960) ,
    COMMENTS                       VARCHAR2(960) ,
    TRANSACTION_REASON_ID          NUMBER(18, 0) ,
    TRANSACTION_REASON             VARCHAR2(120) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    LOCK_FLAG                      NUMBER(18, 0) ,
    PROCESS_FLAG                   NUMBER(18, 0) ,
    PROCESS_MODE                   NUMBER(18, 0) ,
    VALID_FLAG                     NUMBER(18, 0) ,
    DELETE_FLAG                    NUMBER(18, 0) ,
    STATUS_FLAG                    NUMBER(18, 0) ,
    ERROR_FLAG                     NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    SYSTEM_QUANTITY                NUMBER        ,
    PARENT_LPN_ID                  NUMBER(18, 0) ,
    OUTERMOST_LPN_ID               NUMBER(18, 0) ,
    PARENT_LPN                     VARCHAR2(120) ,
    SECONDARY_COUNT_QUANTITY       NUMBER        ,
    SECONDARY_SYSTEM_QUANTITY      NUMBER        ,
    SECONDARY_UNIT_OF_MEASURE      VARCHAR2(100) ,
    SECONDARY_UOM                  VARCHAR2(12)  ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ITEM_NUMBER                    VARCHAR2(1200),
    ATTRIBUTE16                    VARCHAR2(600) ,
    ATTRIBUTE17                    VARCHAR2(600) ,
    ATTRIBUTE18                    VARCHAR2(600) ,
    ATTRIBUTE19                    VARCHAR2(600) ,
    ATTRIBUTE20                    VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_TIMESTAMP1           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5           TIMESTAMP(6)  ,
    LOAD_REQUEST_ID                NUMBER(18, 0) ,
    OWNING_TYPE                    VARCHAR2(120) ,
    OWNING_ENTITY_ID               NUMBER(18, 0) ,
    OWNING_ENTITY_CODE             VARCHAR2(960) ,
    PRC_BU_NAME                    VARCHAR2(960) ,
    VENDOR_NAME                    VARCHAR2(960) ,
    VENDOR_NUMBER                  VARCHAR2(120) ,
    CONSIGNMENT_AGREEMENT_NUM      VARCHAR2(120) ,
    LOCATOR_NAME                   VARCHAR2(4000),
    INV_STRIPING_CATEGORY          VARCHAR2(160) ,
    PROJECT_ID                     NUMBER(18, 0) ,
    INV_PROJECT                    VARCHAR2(100) ,
    TASK_ID                        NUMBER(18, 0) ,
    INV_TASK                       VARCHAR2(400) ,
    COUNTRY_OF_ORIGIN_CODE         VARCHAR2(8)   ,
    COUNTRY_OF_ORIGIN_NAME         VARCHAR2(320) ,
    INV_RESERVED_ATTRIBUTE1        VARCHAR2(600) ,
    INV_RESERVED_ATTRIBUTE2        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE1        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE2        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE3        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE4        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE5        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE6        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE7        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE8        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE9        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE10       VARCHAR2(600) ,
    CC_ENTRY_INTERFACE_ID          NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    ORGANIZATION_ID                NUMBER(18, 0) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CC_ENTRY_INTERFACE_GROUP_ID    NUMBER(18, 0) ,
    CYCLE_COUNT_ENTRY_ID           NUMBER(18, 0) ,
    ACTION_CODE                    NUMBER(18, 0)     NOT NULL,
    CYCLE_COUNT_HEADER_ID          NUMBER(18, 0) ,
    CYCLE_COUNT_HEADER_NAME        VARCHAR2(120) ,
    COUNT_LIST_SEQUENCE            NUMBER(18, 0) ,
    INVENTORY_ITEM_ID              NUMBER(18, 0) ,
    ITEM_SEGMENT1                  VARCHAR2(160) ,
    ITEM_SEGMENT2                  VARCHAR2(160) ,
    ITEM_SEGMENT3                  VARCHAR2(160) ,
    ITEM_SEGMENT4                  VARCHAR2(160) ,
    ITEM_SEGMENT5                  VARCHAR2(160) ,
    ITEM_SEGMENT6                  VARCHAR2(160) ,
    ITEM_SEGMENT7                  VARCHAR2(160) ,
    ITEM_SEGMENT8                  VARCHAR2(160) ,
    ITEM_SEGMENT9                  VARCHAR2(160) ,
    ITEM_SEGMENT10                 VARCHAR2(160) ,
    ITEM_SEGMENT11                 VARCHAR2(160) ,
    ITEM_SEGMENT12                 VARCHAR2(160) ,
    ITEM_SEGMENT13                 VARCHAR2(160) ,
    ITEM_SEGMENT14                 VARCHAR2(160) ,
    ITEM_SEGMENT15                 VARCHAR2(160) ,
    ITEM_SEGMENT16                 VARCHAR2(160) ,
    ITEM_SEGMENT17                 VARCHAR2(160) ,
    ITEM_SEGMENT18                 VARCHAR2(160) ,
    ITEM_SEGMENT19                 VARCHAR2(160) ,
    ITEM_SEGMENT20                 VARCHAR2(160) ,
    REVISION                       VARCHAR2(72)  ,
    SUBINVENTORY                   VARCHAR2(40)  ,
    LOCATOR_ID                     NUMBER(18, 0) ,
    LOCATOR_SEGMENT1               VARCHAR2(160) ,
    LOCATOR_SEGMENT2               VARCHAR2(160) ,
    LOCATOR_SEGMENT3               VARCHAR2(160) ,
    LOCATOR_SEGMENT4               VARCHAR2(160) ,
    LOCATOR_SEGMENT5               VARCHAR2(160) ,
    LOCATOR_SEGMENT6               VARCHAR2(160) ,
    LOCATOR_SEGMENT7               VARCHAR2(160) ,
    LOCATOR_SEGMENT8               VARCHAR2(160) ,
    LOCATOR_SEGMENT9               VARCHAR2(160) ,
    LOCATOR_SEGMENT10              VARCHAR2(160) ,
    LOCATOR_SEGMENT11              VARCHAR2(160) ,
    LOCATOR_SEGMENT12              VARCHAR2(160) ,
    LOCATOR_SEGMENT13              VARCHAR2(160) ,
    LOCATOR_SEGMENT14              VARCHAR2(160) ,
    LOCATOR_SEGMENT15              VARCHAR2(160) ,
    LOCATOR_SEGMENT16              VARCHAR2(160) ,
    LOCATOR_SEGMENT17              VARCHAR2(160) ,
    LOCATOR_SEGMENT18              VARCHAR2(160) ,
    LOCATOR_SEGMENT19              VARCHAR2(160) ,
    LOCATOR_SEGMENT20              VARCHAR2(160) ,
    LOT_NUMBER                     VARCHAR2(320) ,
    SERIAL_NUMBER                  VARCHAR2(320) ,
    PRIMARY_UOM_QUANTITY           NUMBER        ,
    COUNT_UOM                      VARCHAR2(12)  ,
    COUNT_UNIT_OF_MEASURE          VARCHAR2(100) ,
    COUNT_QUANTITY                 NUMBER        ,
    COUNT_DATE                     DATE          ,
    EMPLOYEE_ID                    NUMBER(18, 0) ,
    EMPLOYEE_FULL_NAME             VARCHAR2(960) ,
    COMMENTS                       VARCHAR2(960) ,
    TRANSACTION_REASON_ID          NUMBER(18, 0) ,
    TRANSACTION_REASON             VARCHAR2(120) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    LOCK_FLAG                      NUMBER(18, 0) ,
    PROCESS_FLAG                   NUMBER(18, 0) ,
    PROCESS_MODE                   NUMBER(18, 0) ,
    VALID_FLAG                     NUMBER(18, 0) ,
    DELETE_FLAG                    NUMBER(18, 0) ,
    STATUS_FLAG                    NUMBER(18, 0) ,
    ERROR_FLAG                     NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    SYSTEM_QUANTITY                NUMBER        ,
    PARENT_LPN_ID                  NUMBER(18, 0) ,
    OUTERMOST_LPN_ID               NUMBER(18, 0) ,
    PARENT_LPN                     VARCHAR2(120) ,
    SECONDARY_COUNT_QUANTITY       NUMBER        ,
    SECONDARY_SYSTEM_QUANTITY      NUMBER        ,
    SECONDARY_UNIT_OF_MEASURE      VARCHAR2(100) ,
    SECONDARY_UOM                  VARCHAR2(12)  ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ITEM_NUMBER                    VARCHAR2(1200),
    ATTRIBUTE16                    VARCHAR2(600) ,
    ATTRIBUTE17                    VARCHAR2(600) ,
    ATTRIBUTE18                    VARCHAR2(600) ,
    ATTRIBUTE19                    VARCHAR2(600) ,
    ATTRIBUTE20                    VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_TIMESTAMP1           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5           TIMESTAMP(6)  ,
    ORGANIZATION_CODE              VARCHAR2(72)  ,
    LOAD_REQUEST_ID                NUMBER(18, 0) ,
    OWNING_TYPE                    VARCHAR2(120) ,
    OWNING_ENTITY_ID               NUMBER(18, 0) ,
    OWNING_ENTITY_CODE             VARCHAR2(960) ,
    PRC_BU_NAME                    VARCHAR2(960) ,
    VENDOR_NAME                    VARCHAR2(960) ,
    VENDOR_NUMBER                  VARCHAR2(120) ,
    CONSIGNMENT_AGREEMENT_NUM      VARCHAR2(120) ,
    LOCATOR_NAME                   VARCHAR2(4000),
    INV_STRIPING_CATEGORY          VARCHAR2(160) ,
    PROJECT_ID                     NUMBER(18, 0) ,
    INV_PROJECT                    VARCHAR2(100) ,
    TASK_ID                        NUMBER(18, 0) ,
    INV_TASK                       VARCHAR2(400) ,
    COUNTRY_OF_ORIGIN_CODE         VARCHAR2(8)   ,
    COUNTRY_OF_ORIGIN_NAME         VARCHAR2(320) ,
    INV_RESERVED_ATTRIBUTE1        VARCHAR2(600) ,
    INV_RESERVED_ATTRIBUTE2        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE1        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE2        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE3        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE4        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE5        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE6        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE7        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE8        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE9        VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE10       VARCHAR2(600) ,
    CONSTRAINT pk_inv_cc_entries_interface PRIMARY KEY (CC_ENTRY_INTERFACE_ID, CC_ENTRY_INTERFACE_ID)
);
